Name:			rkhunter
Version:		1.3.6
Release:		%mkrel 1

Summary:	Rootkit scans for rootkits, backdoors and local exploits
License:	GPLv2+
Group:		System/Configuration/Other
URL:		http://rkhunter.sourceforge.net/
Source0:	http://downloads.sourceforge.net/rkhunter/%{name}-%{version}.tar.gz
Source1:	rkhunter.cron
Source2:	rkhunter.logrotate
BuildRoot:	%{_tmppath}/%{name}-%{version}

BuildArch:	noarch
Requires:	webfetch
Requires:	e2fsprogs
Requires:	binutils
#Requires:	ccp

%description
Rootkit scanner is scanning tool to ensure you you're clean of known nasty 
tools. This tool scans for rootkits, backdoors and local exploits by running 
tests like:
 - MD5/SHA1 hash compare
 - Look for default files used by rootkits
 - Wrong file permissions for binaries
 - Look for suspected strings in LKM and KLD modules
 - Look for hidden files
 - Optional scan within plaintext and binary files

%prep
%setup -q 
chmod -R a+r .

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir} %{buildroot}%{_sbindir} \
 %{buildroot}%{_var}/lib/rkhunter/{db/i18n,scripts,tmp} \
 %{buildroot}%{_mandir}/man8
install files/rkhunter %{buildroot}%{_sbindir}/
install -m 644 files/%{name}.conf %{buildroot}%{_sysconfdir}
cat<<EOF>>%{buildroot}%{_sysconfdir}/rkhunter.conf
INSTALLDIR=%{_var}
SCRIPTDIR=%{_var}/lib/rkhunter/scripts
# PKGMGR=RPM
# to avoid some false positives...
ALLOWDEVFILE=/dev/shm/pulse-shm-*
ALLOWDEVFILE=/dev/shm/mono.*
ALLOWHIDDENDIR=/dev/.udev
ALLOWHIDDENFILE=/usr/share/man/man1/..1.lzma
ALLOWHIDDENFILE=/usr/share/man/man1/.nvidia-current-settings.1.lzma
ALLOWHIDDENFILE=/usr/share/man/man1/.nvidia-current-smi.1.lzma
ALLOWHIDDENFILE=/usr/share/man/man1/.nvidia-current-xconfig.1.lzma
ALLOWHIDDENFILE=/usr/share/man/man1/.nvidia96xx-settings.1.lzma
ALLOWHIDDENFILE=/usr/share/man/man1/.nvidia96xx-xconfig.1.lzma
ALLOWHIDDENFILE=/usr/share/man/man5/.k5login.5.lzma
SCRIPTWHITELIST=/usr/bin/GET
SCRIPTWHITELIST=/usr/bin/groups
SCRIPTWHITELIST=/usr/bin/ldd
SCRIPTWHITELIST=/usr/bin/whatis
SCRIPTWHITELIST=/sbin/ifup
SCRIPTWHITELIST=/sbin/ifdown
EOF

install -m 644 files/*.dat %{buildroot}%{_var}/lib/rkhunter/db
install -m 644 files/i18n/* %{buildroot}%{_var}/lib/rkhunter/db/i18n
install -m 754 files/*.{pl,sh} %{buildroot}%{_var}/lib/rkhunter/scripts
install -m 644 files/rkhunter.8 %{buildroot}%{_mandir}/man8

%{__mkdir_p} %{buildroot}%{_sysconfdir}/cron.daily
%{__install} -m 0755 %{_sourcedir}/rkhunter.cron \
 %{buildroot}%{_sysconfdir}/cron.daily/rkhunter

%{__mkdir_p} %{buildroot}%{_sysconfdir}/logrotate.d
%{__install} -m 0644 %{_sourcedir}/rkhunter.logrotate \
 %{buildroot}%{_sysconfdir}/logrotate.d/rkhunter

%clean
rm -rf %{buildroot}

%post
if [ $1 = 1 ]; then
    # create rkhunter.dat
    %{_sbindir}/rkhunter --propupd
    # gather user / group info
    %{_sbindir}/rkhunter --enable group_changes,passwd_changes
fi

#unfortunately, multiple ALLOW* and SCRIPT* keys forbids use of ccp
#until it supports the feature...
##fix previous broken < 1.2.8 installs.
#ccp --delete --ifexists --set NoOrphans \
# --ignoreopt TMPDIR --ignoreopt DBDIR \
# --oldfile %{_sysconfdir}/rkhunter.conf \
# --newfile %{_sysconfdir}/rkhunter.conf.rpmnew

%files
%defattr(-,root,root)
%doc files/CHANGELOG files/README
%config(noreplace) %{_sysconfdir}/rkhunter.conf
%{_sysconfdir}/cron.daily/rkhunter
%{_sysconfdir}/logrotate.d/rkhunter
%{_sbindir}/*
%{_var}/lib/rkhunter
%{_mandir}/man8/*


%changelog
* Fri Jan 01 2010 Emmanuel Andry <eandry@mandriva.org> 1.3.6-1mdv2010.1
+ Revision: 484719
- New version 1.3.6

* Mon Jun 01 2009 Guillaume Bedot <littletux@mandriva.org> 1.3.4-3mdv2010.0
+ Revision: 381936
- Fix mdv bug #51310

* Fri Feb 13 2009 Guillaume Bedot <littletux@mandriva.org> 1.3.4-2mdv2009.1
+ Revision: 340059
- whitelist update

* Sun Feb 08 2009 Frederik Himpe <fhimpe@mandriva.org> 1.3.4-1mdv2009.1
+ Revision: 338555
- update to new version 1.3.4

* Tue Oct 28 2008 Guillaume Bedot <littletux@mandriva.org> 1.3.2-7mdv2009.1
+ Revision: 297803
- fix description, typos in post
- avoid first warning about user / group
- logrotate
- do not overwrite previous log

* Tue Oct 21 2008 Guillaume Bedot <littletux@mandriva.org> 1.3.2-5mdv2009.1
+ Revision: 296265
- First try to fix bug #40266

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3.2-5mdv2009.0
+ Revision: 260240
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3.2-4mdv2009.0
+ Revision: 251267
- rebuild

  + Guillaume Bedot <littletux@mandriva.org>
    - Fix #40266
    -?\195 description update

* Tue Mar 04 2008 Guillaume Bedot <littletux@mandriva.org> 1.3.2-1mdv2008.1
+ Revision: 178884
- 1.3.2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 22 2007 Guillaume Bedot <littletux@mandriva.org> 1.3.0-2mdv2008.1
+ Revision: 111089
- added missing i18n files and SCRIPTDIR option

* Tue Nov 20 2007 Adam Williamson <awilliamson@mandriva.org> 1.3.0-1mdv2008.1
+ Revision: 110811
- fix manpage location in tarball
- new release 1.3.0
- small spec clean

* Wed May 23 2007 Guillaume Bedot <littletux@mandriva.org> 1.2.9-1mdv2008.0
+ Revision: 30072
- More adequate config update thanks to ccp.
- 1.2.9 (thankks to lenny) + try to definitely fix #28571 and alike.


* Thu Mar 16 2006 Guillaume Bedot <littletux@zarb.org> 1.2.8-1mdk
- 1.2.8
- avoid duplicated files
- added man page

* Sat Aug 06 2005 Gaetan Lehmann <glehmann@n4.mandriva.com> 1.2.7-1mdk
- complete URL
- use mkrel
- fix config file (reported on expert mailing list)

* Wed May 25 2005 Lenny Cartier <lenny@mandriva.com> 1.2.7-1mdk
- 1.2.7

* Wed May 11 2005 Lenny Cartier <lenny@mandriva.com> 1.2.6-1mdk
- 1.2.6

* Fri Feb 11 2005 Mandrakelinux Team <http://www.mandrakeexpert.com> 1.2.0-1mdk
- New release 1.2.0

* Tue Feb 08 2005 Mandrakelinux Team <http://www.mandrakeexpert.com> 1.1.9-1mdk
- New release 1.1.9

* Mon Aug 23 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1.6-2mdk
- fixed update script path (Mario R. Pizzolanti)

* Wed Aug 18 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1.6-1mdk
- added missing requires
- New release 1.1.6

* Wed Jun 23 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1.1-1mdk
- New release 1.1.1

* Fri May 28 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.0.9-1mdk
- initial package

